| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes | Private Attributes | List of all members
CmdDrive::CmdComposer Class Referenceabstract
uiCmdDriver

`#include <cmdcomposer.h>`

Inheritance diagram for CmdDrive::CmdComposer:
[legend]

## Public Member Functions
| CmdComposer (CmdRecorder &)
| ~CmdComposer ()
virtual bool | accept (const CmdRecEvent &)
bool | done () const
virtual bool | greedy () const
virtual const char * | name ()=0
void | objClosed (CallBacker *)
bool | stateUpdateNeeded ()
void | testCB (CallBacker *)
bool | traceSrcWin (CmdRecEvent &) const
virtual bool | tryToFinish ()
virtual void | updateInternalState ()
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Static Public Member Functions
static BufferString | factoryKey (const CallBacker *caller, const char *extrakey=0)
static void | initStandardComposers ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Protected Member Functions
void | addToEventList (const CmdRecEvent &)
const uiMainWin * | applWin () const
int | eventNameIdx (const BufferStringSet &eventnames, const CmdRecEvent &) const
virtual void | init ()
void | insertWindowCaseExec (const CmdRecEvent &, bool casedep=false) const
void | notDone ()
void | refuseAndQuitDone ()
void | shrinkEventList (int firstnr=1, int lastnr=-1)
void | srcWinClosed (CallBacker *)

## Static Protected Member Functions
static BufferString | createFactoryKey (const Classifier *, const char *keyword)

## Protected Attributes
BufferStringSet | bursteventnames_
ObjectSet< CmdRecEvent > | eventlist_
bool | ignoreflag_
bool | objclosed_
bool | quitflag_
CmdRecorder & | rec_
TypeSet< int > | refnrstack_
bool | stackwasempty_
bool | updateflag_
BufferStringSet | voideventnames_

## Private Attributes
bool | done_

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ CmdComposer()

CmdDrive::CmdComposer::CmdComposer | ( | CmdRecorder & |  | ) |

## ◆ ~CmdComposer()

CmdDrive::CmdComposer::~CmdComposer | ( |  | ) |

## Member Function Documentation

## ◆ accept()

virtual bool CmdDrive::CmdComposer::accept | ( | const CmdRecEvent & |  | ) |
| virtual

Reimplemented in CmdDrive::CanvasMenuCmdComposer, CmdDrive::SliderCmdComposer, CmdDrive::InputCmdComposer, CmdDrive::SpinCmdComposer, CmdDrive::ComboCmdComposer, CmdDrive::ListCmdComposer, CmdDrive::MenuCmdComposer, CmdDrive::ButtonCmdComposer, CmdDrive::CloseCmdComposer, CmdDrive::MdiAreaCmdComposer, CmdDrive::TabCmdComposer, CmdDrive::QMsgBoxButCmdComposer, CmdDrive::QColorDlgCmdComposer, CmdDrive::QFileDlgCmdComposer, CmdDrive::TableCmdComposer, CmdDrive::TableViewCmdComposer, and CmdDrive::TreeCmdComposer.

## ◆ addToEventList()

void CmdDrive::CmdComposer::addToEventList | ( | const CmdRecEvent & |  | ) |
| protected

## ◆ applWin()

const uiMainWin * CmdDrive::CmdComposer::applWin | ( |  | ) | const
| protected

## ◆ createFactoryKey()

static BufferString CmdDrive::CmdComposer::createFactoryKey | ( | const Classifier * | ,
|  | const char * | keyword )
| static protected

## ◆ done()

bool CmdDrive::CmdComposer::done | ( |  | ) | const
| inline

## ◆ eventNameIdx()

int CmdDrive::CmdComposer::eventNameIdx | ( | const BufferStringSet & | eventnames,
|  | const CmdRecEvent & | ) const
| protected

## ◆ factoryKey()

static BufferString CmdDrive::CmdComposer::factoryKey | ( | const CallBacker * | caller,
|  | const char * | extrakey = 0 )
| static

## ◆ greedy()

virtual bool CmdDrive::CmdComposer::greedy | ( |  | ) | const
| virtual

## ◆ init()

virtual void CmdDrive::CmdComposer::init | ( |  | ) |
| inline protected virtual

Reimplemented in CmdDrive::InputCmdComposer, CmdDrive::SpinCmdComposer, CmdDrive::ComboCmdComposer, CmdDrive::ListCmdComposer, CmdDrive::TableCmdComposer, CmdDrive::TableViewCmdComposer, and CmdDrive::TreeCmdComposer.

## ◆ initStandardComposers()

static void CmdDrive::CmdComposer::initStandardComposers | ( |  | ) |
| static

## ◆ insertWindowCaseExec()

void CmdDrive::CmdComposer::insertWindowCaseExec | ( | const CmdRecEvent & | ,
|  | bool | casedep = false ) const
| protected

## ◆ name()

virtual const char * CmdDrive::CmdComposer::name | ( |  | ) |
| pure virtual

Implemented in CmdDrive::CanvasMenuCmdComposer, CmdDrive::SliderCmdComposer, CmdDrive::InputCmdComposer, CmdDrive::SpinCmdComposer, CmdDrive::ComboCmdComposer, CmdDrive::ListCmdComposer, CmdDrive::MenuCmdComposer, CmdDrive::ButtonCmdComposer, CmdDrive::CloseCmdComposer, CmdDrive::MdiAreaCmdComposer, CmdDrive::TabCmdComposer, CmdDrive::QMsgBoxButCmdComposer, CmdDrive::QColorDlgCmdComposer, CmdDrive::QFileDlgCmdComposer, CmdDrive::TableCmdComposer, CmdDrive::TableViewCmdComposer, and CmdDrive::TreeCmdComposer.

## ◆ notDone()

void CmdDrive::CmdComposer::notDone | ( |  | ) |
| inline protected

## ◆ objClosed()

void CmdDrive::CmdComposer::objClosed | ( | CallBacker * |  | ) |
| inline

## ◆ refuseAndQuitDone()

void CmdDrive::CmdComposer::refuseAndQuitDone | ( |  | ) |
| inline protected

## ◆ shrinkEventList()

void CmdDrive::CmdComposer::shrinkEventList | ( | int | firstnr = 1,
|  | int | lastnr = -1 )
| protected

## ◆ srcWinClosed()

void CmdDrive::CmdComposer::srcWinClosed | ( | CallBacker * |  | ) |
| protected

## ◆ stateUpdateNeeded()

bool CmdDrive::CmdComposer::stateUpdateNeeded | ( |  | ) |
| inline

## ◆ testCB()

void CmdDrive::CmdComposer::testCB | ( | CallBacker * |  | ) |

## ◆ traceSrcWin()

bool CmdDrive::CmdComposer::traceSrcWin | ( | CmdRecEvent & |  | ) | const

## ◆ tryToFinish()

virtual bool CmdDrive::CmdComposer::tryToFinish | ( |  | ) |
| virtual

## ◆ updateInternalState()

virtual void CmdDrive::CmdComposer::updateInternalState | ( |  | ) |
| inline virtual

Reimplemented in CmdDrive::ListCmdComposer, CmdDrive::TableCmdComposer, CmdDrive::TableViewCmdComposer, and CmdDrive::TreeCmdComposer.

## Member Data Documentation

## ◆ bursteventnames_

BufferStringSet CmdDrive::CmdComposer::bursteventnames_
| protected

## ◆ done_

bool CmdDrive::CmdComposer::done_
| private

## ◆ eventlist_

ObjectSet<CmdRecEvent> CmdDrive::CmdComposer::eventlist_
| protected

## ◆ ignoreflag_

bool CmdDrive::CmdComposer::ignoreflag_
| protected

## ◆ objclosed_

bool CmdDrive::CmdComposer::objclosed_
| protected

## ◆ quitflag_

bool CmdDrive::CmdComposer::quitflag_
| protected

## ◆ rec_

CmdRecorder& CmdDrive::CmdComposer::rec_
| protected

## ◆ refnrstack_

TypeSet<int> CmdDrive::CmdComposer::refnrstack_
| protected

## ◆ stackwasempty_

bool CmdDrive::CmdComposer::stackwasempty_
| protected

## ◆ updateflag_

bool CmdDrive::CmdComposer::updateflag_
| protected

## ◆ voideventnames_

BufferStringSet CmdDrive::CmdComposer::voideventnames_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025